package com.bjtdba.userCenter.service;

import com.bjtdba.entity.userCenter.UserRelation;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface UserRelationService {

    /**
     *  验证商品是否存在
     * @param id
     * @return
     */
    public Boolean isProductAndMerchant(Integer id,Integer type);
    /**
     * 通过ID查询单条数据
     *
     * @param
     * @return 实例对象
     */
    UserRelation queryById(UserRelation userRelation);

    /**
     * 查询指定行数据
     *
     * @param userRelation 查询条件
     * @return 对象列表
     */
    List<UserRelation> queryAllByLimit(UserRelation userRelation);

    /**
     * 统计总行数
     *
     * @param userRelation 查询条件
     * @return 总行数
     */
    long count(UserRelation userRelation);

    /**
     * 新增数据
     *
     * @param userRelation 实例对象
     * @return 影响行数
     */
    int insert(UserRelation userRelation);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<UserRelation> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<UserRelation> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<UserRelation> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<UserRelation> entities);

    /**
     * 修改数据
     *
     * @param userRelation 实例对象
     * @return 影响行数
     */
    int update(UserRelation userRelation);

    /**
     * 通过主键删除数据
     *
     * @param
     * @return 影响行数
     */
    int deleteById(UserRelation userRelation);
}
